### 3.21 dotlock ¶

A stand-alone mailbox-locking utility. It is the default program used by `mailutils` if the `locking.type` configuration statement is set to `external` (see external locking type).

The program usage syntax is:

    # To lock mbox:
    dotlock options mbox
    # To unlock it:
    dotlock -u options mbox

By default the program implements the ‘`dotlock`’ locking (see dotlock locking type). This can be changed either in the configuration file, or via the command line options.

The following common configuration statements affect the behavior of `dotlock`:

Statement | Reference
--- | ---
debug | See Debug Statement.
locking | See Locking Statement.

The program understands the following command line options:

`-d`
`--debug`

  Print details of failure reasons to stderr.

`-f[n]`
`--force[=n]`

  If a lock file exists and is more than n minutes old, forcibly remove it and re-lock the mailbox. Default n is 10 minutes.

`-p`
`--pid-check`

  Check if the PID of lock owner is still active. If not, break the lock.

`-r n`
`--retry=n`

  Number of times to retry acquiring the lock, if it is held by another process. The default is 10 times.

`-t n`
`--delay=n`

  Sets delay in seconds between two successive locking attempts. The default is 1 second.

`-u`
`--unlock`

  Unlock the mailbox.